<?php
/*
	Use these functions to create a forum page that will
	allow users to add their own comments.
*/

function menushow ($filename)
// Looks for a named text file and extracts the menu items
// from it by dividing each line into url and a menu text line.
{
  $lines = file ($filename);
  foreach ($lines as $pair)
  {
	// - divide the line on the tab character (\t)
	$newpair=explode ("\t", $pair);
	$url= $newpair[0];
	$text = $newpair[1];
	echo "<a href=\"$url\">$text</a>\n";
	echo "<br />\n";
  }
}

 function storyshow ($filename)
// looks for the given file, by name, and divides each line
// into two parts - the title and the story content.
{
    $lines = file ($filename);
    foreach ($lines as $pair)
    {
		$newpair = explode ("\t", $pair);
		$title = $newpair[0];
		$text = $newpair[1];
		
		// "article" and "title" are classes because
		// we plan to use many of them on a page:
		
		echo "<div class=\"article\">\n";
		echo "   <div class=\"title\">\n";
		echo "      $title \n";
		echo "   </div>\n";
        echo "   $text \n";
		echo "</div> <br />\n";
    }
}

function page_header ($title, $stylesheet)
// writes the first 6 lines of a web page using the supplied title
// and stylesheet name.
{
    echo "<html>\n";
    echo "    <head> \n";
    echo "    <title>$title</title>\n";
    echo "    <link rel=\"stylesheet\" href=\"$stylesheet\" type=\"text/css\" />\n";
    echo "  </head>\n";
    echo "<body> \n";
}

function page_footer($name)
{
    echo "<div id=\"footer\">\n";
    echo "&copy;2011 - $name\n";
    echo "</div>\n";
}

?>
